added run script for the rx200 cluster
authorhackbard <hackbard@sage.physik.uni-augsburg.de>
Sun, 17 Feb 2008 13:27:18 +0000 (14:27 +0100)
committerhackbard <hackbard@sage.physik.uni-augsburg.de>
Sun, 17 Feb 2008 13:27:18 +0000 (14:27 +0100)
run_rx200 [new file with mode: 0755]

diff --git a/run_rx200 b/run_rx200
new file mode 100755 (executable)
index 0000000..30c332e
--- /dev/null
+++ b/run_rx200
@@ -0,0 +1,41 @@
+if [ -z "$1" ]; then
+       exit
+fi
+
+[ ! -d $1 ] && mkdir $1
+./clean $1
+
+# create run file
+rf=`basename $1`
+cat > run_$rf <<-EOF
+#!/bin/bash
+#$ -cwd
+
+./sic $@
+
+EOF
+
+# submit job
+qsub run_$rf
+
+if [ "$?" == "0" ]; then
+       #./perms
+       if [ "$1" ] ; then
+               # whole simulation cell
+               #./visualize -w 640 -h 480 -d $1
+
+               # center unit cell
+               #./visualize -w 640 -h 480 -d $1 \
+               #            -nll -2.4 -2.4 -2.4 -fur 3.8 3.8 3.8 \
+               #           -b -2.03 -2.03 -2.03 3.39 3.39 3.39 \
+               #           -r 0.6 -c 0.5 -11.0 2.5 -B 0.1
+
+               # old rasmol
+               #rasmol -32 -nodisplay < $1/visualize.scr > /dev/null 2>&1
+               #./ppm2avi $1
+
+               # copy config and main prog
+               cp -v sic.c $1/sic.c
+               cp -v config.h $1/config.h
+       fi
+fi